{"id":24620,"date":"2020-09-28T07:45:20","date_gmt":"2020-09-28T06:45:20","guid":{"rendered":"https:\/\/developer.kore.ai\/v8-0\/?p=24620"},"modified":"2021-03-25T15:40:30","modified_gmt":"2021-03-25T15:40:30","slug":"get-knowledgetasks-kg","status":"publish","type":"post","link":"https:\/\/developer.kore.ai\/v8-0\/docs\/bots\/api-guide\/get-knowledgetasks-kg\/","title":{"rendered":"Get KnowledgeTasks &#8211; KG"},"content":{"rendered":"<section class=\"l-section wpb_row height_auto\"><div class=\"l-section-h i-cf\"><div class=\"g-cols vc_row type_default valign_top\"><div class=\"vc_col-sm-12 wpb_column vc_column_container\"><div class=\"vc_column-inner\"><div class=\"wpb_wrapper\">\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<p> To get a listing knowledge Tasks with the nodes.<\/p>\n<p class=\"note\">To use this API, app needs the Admin API Scope of <em>KnowlegdeGraph<\/em>.<\/p>\n<p><b>GET<\/b> <code>https:\/\/{{host}}\/api\/public\/stream\/{{streamId}}\/knowledgeTasks?language=en<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Path_Parameters\">Path Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Required\/Optional<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td>host<\/td>\n<td>Required<\/td>\n<td>Environment URL, for example, https:\/\/bots.kore.ai<\/td>\n<\/tr>\n<tr>\n<td>streamId<\/td>\n<td>Required<\/td>\n<td>Bot ID or Stream ID. You can access it from the General Settings page of the bot.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Query_Parameters\">Query Parameters<\/span><\/h3>\n<table>\n<tbody>\n<tr>\n<th><b>Parameter<\/b><\/th>\n<th><b>Required\/Optional<\/b><\/th>\n<th><b>Description<\/b><\/th>\n<\/tr>\n<tr>\n<td>language<\/td>\n<td>Required<\/td>\n<td>The bot language, for example, \u201cen\u201d for English and \u201cde\u201d for German.<\/td>\n<\/tr>\n<\/tbody>\n<\/table>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Authorization\">Authorization<\/span><\/h3>\n<p>Invoke the API with JWT in the header with the following syntax:<\/p>\n<p><code>auth: {{JWT}}<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Response_Content_Type\">Response Content Type<\/span><\/h3>\n<p><code>application\/json<\/code><\/p>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Request\">Sample Request<\/span><\/h3>\n<pre>curl -X POST \\\r\n  https:\/\/{{host}}\/api\/public\/stream\/{{streamId}}\/knowledgeTasks?language=en \\\r\n  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}' \\\r\n  -H 'content-type: application\/json' \r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div>\r\n\t<div class=\"wpb_text_column \">\r\n\t\t<div class=\"wpb_wrapper\">\r\n\t\t\t<h3><span class=\"ez-toc-section\" id=\"Sample_Response\">Sample Response<\/span><\/h3>\n<pre>[\r\n    {\r\n        \"_id\": \"5afa79639466e4369e3c809f\",\r\n        \"createdOn\": \"2018-05-15T06:08:35.732Z\",\r\n        \"modifiedOn\": \"2020-01-03T07:54:13.583Z\",\r\n        \"state\": \"configured\",\r\n        \"editable\": true,\r\n        \"taxonomy\": [\r\n            {\r\n                \"parent\": [],\r\n                \"synonyms\": [],\r\n                \"isDummy\": false,\r\n                \"editLocked\": false,\r\n                \"nodeId\": \"be36bc3a-3055-417c-9d2d-0ab321fead9d\",\r\n                \"label\": \"tarak\",\r\n                \"level\": \"l0\",\r\n                \"faqCount\": 5\r\n            }\r\n        ],\r\n        \"nodesToPublish\": [],\r\n        \"publishRoot\": false,\r\n        \"version\": \"1.0\",\r\n        \"adminTaskStatus\": \"active\",\r\n        \"name\": \"tarak\",\r\n        \"description\": \"This is used to make ontology\",\r\n        \"isGraph\": true,\r\n        \"visibility\": {\r\n            \"namespace\": \"private\",\r\n            \"namespaceIds\": [\r\n                \"u-9920e136-19d6-5bd8-b68f-acd455d7d7f9\"\r\n            ]\r\n        },\r\n        \"streamId\": \"st-xxxxx-xxx-xxx-xxx-xxxxx\",\r\n        \"metadata\": {\r\n            \"taxonomy\": [\r\n                {\r\n                    \"nodeId\": \"be36bc3a-3055-417c-9d2d-0ab321fead9d\",\r\n                    \"label\": \"tarak\",\r\n                    \"class\": \"bgblack\",\r\n                    \"level\": \"l0\",\r\n                    \"parent\": [],\r\n                    \"synonyms\": [],\r\n                    \"nodes\": []\r\n                }\r\n            ]\r\n        },\r\n        \"createdBy\": \"u-9920e136-19d6-5bd8-b68f-acd455d7d7f9\",\r\n        \"lastModifiedBy\": \"u-9920e136-19d6-5bd8-b68f-acd455d7d7f9\",\r\n        \"botName\": \"tarak\",\r\n        \"language\": \"en\",\r\n        \"refId\": \"16560829-31a6-5d9f-8761-3d40e5b91016\",\r\n        \"__v\": 0,\r\n        \"deletedNodesToPublish\": [],\r\n        \"publishedOn\": \"2020-01-03T07:54:13.583Z\",\r\n        \"versionComment\": null,\r\n        \"parentId\": \"5e0ef3256eaec30a6f4aefc3\",\r\n        \"_resolve\": [\r\n            \"createdBy\"\r\n        ],\r\n        \"lock\": {\r\n            \"islocked\": \"false\"\r\n        },\r\n        \"traitCount\": 0,\r\n        \"faqCount\": 5\r\n    }\r\n]\r\n<\/pre>\n\r\n\t\t<\/div>\r\n\t<\/div>\r\n<div class=\"w-separator size_small with_line width_default thick_1 style_solid color_border align_center\"><div class=\"w-separator-h\"><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/section>\n","protected":false},"excerpt":{"rendered":"To get a listing knowledge Tasks with the nodes. To use this API, app needs the Admin API Scope of KnowlegdeGraph. GET https:\/\/{{host}}\/api\/public\/stream\/{{streamId}}\/knowledgeTasks?language=en Path Parameters Parameter Required\/Optional Description host Required Environment URL, for example, https:\/\/bots.kore.ai streamId Required Bot ID or Stream ID. You can access it from the General Settings page of the bot. Query...","protected":false},"author":1,"featured_media":0,"comment_status":"open","ping_status":"open","sticky":false,"template":"","format":"standard","meta":{"footnotes":""},"categories":[17],"tags":[],"class_list":["post-24620","post","type-post","status-publish","format-standard","hentry","category-api-guide"],"_links":{"self":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/24620","targetHints":{"allow":["GET"]}}],"collection":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts"}],"about":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/types\/post"}],"author":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/users\/1"}],"replies":[{"embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/comments?post=24620"}],"version-history":[{"count":2,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/24620\/revisions"}],"predecessor-version":[{"id":24629,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/posts\/24620\/revisions\/24629"}],"wp:attachment":[{"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/media?parent=24620"}],"wp:term":[{"taxonomy":"category","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/categories?post=24620"},{"taxonomy":"post_tag","embeddable":true,"href":"https:\/\/developer.kore.ai\/v8-0\/wp-json\/wp\/v2\/tags?post=24620"}],"curies":[{"name":"wp","href":"https:\/\/api.w.org\/{rel}","templated":true}]}}